# opentl::output::video::VideoWriter_FFmpeg Class Reference

Inherits opentl::output::video::VideoWriter_Backend.

List of all members.

## Protected Member Functions
AVFrame * | alloc_picture (enum PixelFormat pix_fmt, int width, int height)
bool | init (const std::string &filename, int width, int height, double fps, opentl::output::VideoWriter::Codec codec, opentl::output::VideoWriter::ColorMode colorMode=opentl::output::VideoWriter::COLOR)
| VideoWriter_FFmpeg ()
void | writeFrame (const opentl::core::cvdata::Image &img)
| ~VideoWriter_FFmpeg ()
## Protected Attributes
AVOutputFormat * | fmt
bool | hasInitSucceeded
SwsContext * | img_convert_ctx
AVFrame * | mAVFrame
AVFormatContext * | oc
uint8_t * | video_outbuf
AVStream * | video_st
## Static Protected Attributes
static const int | VIDEO_OUTBUF_SIZE = 2000000
## Friends
class | opentl::output::VideoWriter

## Constructor & Destructor Documentation

opentl::output::video::VideoWriter_FFmpeg::VideoWriter_FFmpeg | ( |  | ) | `[protected]`

opentl::output::video::VideoWriter_FFmpeg::~VideoWriter_FFmpeg | ( |  | ) | `[protected]`

## Member Function Documentation

AVFrame* opentl::output::video::VideoWriter_FFmpeg::alloc_picture | ( | enum PixelFormat | pix_fmt,
|  | int | width,
|  | int | height |
| ) |  |  | `[protected]`

bool opentl::output::video::VideoWriter_FFmpeg::init | ( | const std::string & | filename,
|  | int | width,
|  | int | height,
|  | double | fps,
|  | opentl::output::VideoWriter::Codec | codec,
|  | opentl::output::VideoWriter::ColorMode | colorMode = `opentl::output::VideoWriter::COLOR` |
| ) |  |  | `[protected, virtual]`

Implements opentl::output::video::VideoWriter_Backend.

void opentl::output::video::VideoWriter_FFmpeg::writeFrame | ( | const opentl::core::cvdata::Image & | img | ) | `[protected, virtual]`

Implements opentl::output::video::VideoWriter_Backend.

## Friends And Related Function Documentation

friend class opentl::output::VideoWriter`[friend]`

Reimplemented from opentl::output::video::VideoWriter_Backend.

## Member Data Documentation

AVOutputFormat* opentl::output::video::VideoWriter_FFmpeg::fmt`[protected]`

bool opentl::output::video::VideoWriter_FFmpeg::hasInitSucceeded`[protected]`

SwsContext* opentl::output::video::VideoWriter_FFmpeg::img_convert_ctx`[protected]`

AVFrame* opentl::output::video::VideoWriter_FFmpeg::mAVFrame`[protected]`

AVFormatContext* opentl::output::video::VideoWriter_FFmpeg::oc`[protected]`

uint8_t* opentl::output::video::VideoWriter_FFmpeg::video_outbuf`[protected]`

const int opentl::output::video::VideoWriter_FFmpeg::VIDEO_OUTBUF_SIZE = 2000000`[static, protected]`

AVStream* opentl::output::video::VideoWriter_FFmpeg::video_st`[protected]`